﻿@{
    Layout = null;
}
<style>
    .lbl-status {
        display: inline-block !important;
        vertical-align: middle !important;
        margin-left: 5px !important;
        padding: 4px 30px !important;
        color: #fff !important;
        font-size: 16px !important;
        font-weight: bold !important;
    }

    .status-green {
        background-color: #60a917;
    }

    .status-yellow {
        background-color: #c49f47;
    }

    .status-red {
        background-color: #DA2F37;
    }
</style>

<div class="view-container message-container">
    <div class="title-bar">
        <div class="title" style="display:block;">
            <h1>
                {{MC.CurrentChat.Subject}}
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>


    <div class="message-box-title">
        <div class="message-pic">
            <img ng-src="{{MC.CurrentChat.Logo}}">
            @*<span class="message-status bg-green"></span>*@
        </div>
        <h1 class="message-sender">
            {{MC.CurrentChat.Audience}}
        </h1>

        <div class="box-right-side" ng-show="MC.CurrentChat.MessageType == 'ScheduleDraftSession'">
            <!--Lable status Start-->
            <h2 ng-show="MC.CurrentChat.MessageStatus == 'Accepted'" class="lbl-status status-green">
                Accepted
            </h2>
            <h2 ng-show="MC.CurrentChat.MessageStatus == 'Draft'" class="lbl-status status-yellow">
                Draft
            </h2>
            <h2 ng-show="MC.CurrentChat.MessageStatus == 'Declined'" class="lbl-status status-red">
                Declined
            </h2>
            <h2 ng-show="MC.CurrentChat.MessageStatus == 'Modified'" class="lbl-status status-yellow">
                Modified
            </h2>
            <!--Lable status end-->

            <div ng-show="MC.CurrentChat.ShowActions" class="button-dropdown without-caret radius-btn with-icon">
                <button class="dropdown-toggle"><i class="jbi-dots-triple"></i></button>
                <ul class="dropdown-menu place-right" data-role="dropdown" style="display: none;">
                    <li ng-hide="MC.CurrentChat.ClubType == 'Partner'" ng-click="accept()"><a><i class="jbi-check"></i> Accept</a></li>
                    <li ng-click="modify()"><a><i class="jbi-pencil"></i> Modify</a></li>
                    <li ng-hide="MC.CurrentChat.ClubType == 'Partner'" ng-click="decline()"><a><i class="jbi-cancel"></i> Decline</a></li>
                </ul>
            </div>
        </div>

        <div class="box-right-side" ng-show="MC.CurrentChat.MessageType == 'ESignature'">
            <!--Lable status Start-->
            <h2 ng-show="MC.CurrentChat.MessageStatus == 'Inprogress'" class="lbl-status status-green">
                In progress
            </h2>
            <h2 ng-show="MC.CurrentChat.MessageStatus == 'Completed'" class="lbl-status status-yellow">
                Completed
            </h2>
            </div>
        </div>

    <div class="message-box" id="messageBox">
        @*<span class="message-date">
            Sat
        </span>*@
        <span ng-repeat="message in MC.CurrentChat.Messages" ng-class="{'message-send' : message.IsFromMe, 'message-get': !message.IsFromMe}">

            <span ng-bind-html="message.Text">

            </span>
            <span class="message-time">
                {{formatTime(message.DateTimeTicks)}}
            </span>
        </span>
    </div>

    <div class="message-box-send">
        <form method="post" action="">
            <textarea ng-model="SendText"></textarea>
            <div class="textarea-actions">
                <button type="button" ng-click="Send()" class="btn-send-message">Send</button>


                @*<div class="button-dropdown btn-send-actions ">
                        <button type="button" class="dropdown-toggle"><i class="jbi-dots-triple"></i></button>
                        <ul class="top-dp-menu">
                            <li>
                                <input type="radio" name="send-settings" id="enter-to-send">
                                <label for="enter-to-send" class="mt0">
                                    <span>Press Enter</span>
                                    <span>Pressing Enter will send message</span>
                                </label>
                            </li>
                            <li>
                                <input type="radio" name="send-settings" id="send">
                                <label for="send">
                                    <span>Click Send</span>
                                    <span>Clicking Send will send message</span>
                                </label>
                            </li>
                        </ul>
                    </div>*@


            </div>
        </form>
    </div>

    <div class="clearfix"></div>
</div>


<div ng-show="ShowActionConfirmation" ng-class="{'active':ShowActionConfirmation}" class="jb-confirm">
    <div>
        <div class="bg-blue-modal">

            <div ng-if="ConfirmationMode == 'Accept'">

                <h3 class="modal-title">Please tell us your availability for conducting this class</h3>
                <div>
                    <div class="input-control checkbox" data-role="input-control">
                        <label>
                            <input ng-model="Model.ActionModel.AvailableAnyDay" type="checkbox">
                            <span class="check"></span>
                            Available any day
                        </label>
                    </div>
                    <div class="clearfix"></div>

                    <label ng-show="!Model.ActionModel.AvailableAnyDay">1st day preference</label>
                    <div ng-show="!Model.ActionModel.AvailableAnyDay" class="input-control select" data-role="input-control">
                        <div>

                            <select chosen ng-model="Model.ActionModel.FirstDayPreference"
                                    name="selectedFirstDayPreference" data-placeholder="Select 1st day preference"
                                    ng-options="obj.Value as obj.Text for obj in Model.ActionModel.ListOfFirstDaysOfWeek"></select>
                        </div>
                    </div>
                    <label ng-show="!Model.ActionModel.AvailableAnyDay">2nd day preference</label>
                    <div ng-show="!Model.ActionModel.AvailableAnyDay" class="input-control select" data-role="input-control">
                        <div>

                            <select chosen ng-model="Model.ActionModel.SecondDayPreference"
                                    name="selectedSecondDayPreference" data-placeholder="Select 2nd day preference"
                                    ng-options="obj.Value as obj.Text for obj in Model.ActionModel.ListOfSecondDaysOfWeek"></select>
                        </div>
                    </div>
                </div>

            </div>

            <div ng-if="ConfirmationMode == 'ModifyRequest'">

                <h3 class="modal-title">Please explain what modification you would like to request to the invitation.</h3>
                <div>
                    <label>Note</label>
                    <div class="input-control textarea" data-role="input-control">
                        <textarea ng-model="Model.ActionModel.Note"></textarea>
                    </div>

                </div>
            </div>

            <div ng-if="ConfirmationMode == 'Modify'">

                <h3 class="modal-title">Modify</h3>

                <div class="input-control radio">
                    <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
                        <label class="block">
                            <input ng-model="Model.ActionModel.WeekDaysMode" name="IsSpecialDay" value="Any" type="radio" />
                            <span class="check"></span>
                            Any day
                        </label>
                    </div>
                    <div class="input-control radio default-style place-left  no-margin padding-left20" data-role="input-control">
                        <label class="block">
                            <input ng-model="Model.ActionModel.WeekDaysMode" name="IsSpecialDay" value="SpecialDay" type="radio" />
                            <span class="check"></span>
                            Specific days
                        </label>
                    </div>
                </div>

                <div class="input-control choosen" data-role="input-control" ng-show="Model.ActionModel.WeekDaysMode == 'SpecialDay'">
                    <label>Select weekdays</label>
                    <div>
                        <select chosen multiple
                                ng-model="Model.ActionModel.SelectedWeekDays"
                                ng-options="obj.Value as obj.Text for obj in Model.ActionModel.WeekDays"></select>
                    </div>
                </div>

                <div>
                    <div class="place-left one-half padding-right20">
                        <label>Min grade</label>
                        <div class="input-control select">
                            <select ng-model="Model.ActionModel.SelectedMinGrade"
                                    ng-options="obj.Value as obj.Text for obj in Model.ActionModel.Grades"></select>
                        </div>
                    </div>

                    <div class="place-left one-half">
                        <label>Max grade</label>
                        <div class="input-control select">
                            <select ng-model="Model.ActionModel.SelectedMaxGrade"
                                    ng-options="obj.Value as obj.Text for obj in Model.ActionModel.Grades"></select>
                        </div>
                    </div>

                </div>

            </div>

            <div ng-if="ConfirmationMode == 'Decline'">
                <h3 class="modal-title">Please indicate the reason for declining the invitation.</h3>
                <div>
                    <label>Reason</label>
                    <div class="input-control select" data-role="input-control">
                        <div>

                            <select chosen ng-model="Model.ActionModel.DeclineResaon"
                                    name="selectedDeclineResaon" data-placeholder="Decline reason..."
                                    ng-options="obj.Value as obj.Text for obj in Model.ActionModel.ListOfDeclineResaons"></select>
                        </div>
                    </div>
                    <label ng-show="Model.ActionModel.DeclineResaon==4">Note</label>
                    <div ng-show="Model.ActionModel.DeclineResaon==4" class="input-control textarea" data-role="input-control">
                        <textarea ng-model="Model.ActionModel.Note"></textarea>
                    </div>

                </div>
            </div>

            <button ng-click="save()" class="large bg-white fg-darkRed place-right yes btn-event">OK</button>
            <button ng-click="cancelConfirmation()" class="large bg-transparent fg-white place-right margin-right20 no">Cancel</button>
        </div>
    </div>
</div>